%define version 20030922
%define rel 1
%define CHROOTDIR /var/spool/vscan

Summary:   sagator - antivir gateway for smtp server
Name:      sagator
Version:   %{version}
Release:   %rel
Source:    http://www.salstar.sk/pub/antivir/snapshots/sagator-%{version}.tar.bz2
URL:       http://www.salstar.sk/pub/antivir/sagator/
Copyright: GPL
Group:     System Environment/Daemons
Requires:  python >= 1.5.2
Requires:  initscripts
#BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires:	python >= 1.5.2
BuildRequires:	initscripts

%description
This package is an interface between smtp server and antivir/spamchecker.

%package libclamav
Summary:   ClamAV native support via libclamav
Group:     Libraries

%description libclamav
This is a ClamAV native support via libclamav.

%prep
%setup -n %{name}

%build
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

make DESTDIR=$RPM_BUILD_ROOT install
mkdir -p $RPM_BUILD_ROOT/var/spool/vscan/tmp/quarantine

%pre
id vscan > /dev/null 2>&1 || adduser vscan

%post
#exec &>/dev/null
if [ -x /sbin/chkconfig ]; then
  chkconfig --add sagator
fi
/usr/sbin/mkchroot.sagator %{CHROOTDIR}
# Adding postfix config
if [ $1 = 2 ]; then # upgrade
  true
else
cat >> /etc/postfix/main.cf << EOF
#begin: sagator
content_filter=smtp:[127.0.0.1]:10027
#end: sagator
EOF
cat >> /etc/postfix/master.cf << EOF
#begin: sagator
127.0.0.1:26	inet n - n - 5 smtpd
  -o content_filter=  -o local_recipient_maps=
  -o myhostname=sagator.`hostname`
#end: sagator
EOF
# reload postfix
/etc/init.d/postfix reload
fi

%preun
#exec &>/dev/null
if [ $1 = 0 ]; then # uninstall
  [ "%{CHROOTDIR}" != "/" ] && rm -rf %{CHROOTDIR}/*
  if [ "$1" = 0 ] ; then
    if [ -x /sbin/chkconfig ]; then
      chkconfig --del sagator
    fi
  fi
  # Removing postfix config
  mv /etc/postfix/main.cf /etc/postfix/main.cf.tmp
  sed '/^#begin: sagator/,/^#end: sagator/d' \
    < /etc/postfix/main.cf.tmp > /etc/postfix/main.cf
  mv /etc/postfix/master.cf /etc/postfix/master.cf.tmp
  sed '/^#begin: sagator/,/^#end: sagator/d' \
    < /etc/postfix/master.cf.tmp > /etc/postfix/master.cf
  /etc/init.d/postfix reload
fi

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%config /etc/sagator.config
%config /usr/lib/sagator/config.py
%{_sysconfdir}/rc.d/init.d/*
%attr(755,root,root) /etc/cron.daily/sagator
%doc README TODO COPYING README.scanners ChangeLog
/usr/bin/*
/usr/sbin/*
%dir /usr/lib/sagator
/usr/lib/sagator/*.py
/usr/lib/sagator/*.pyc
%dir /var/spool/vscan
%defattr(0770,vscan,vscan)
%dir /var/spool/vscan/tmp
%dir /var/spool/vscan/tmp/quarantine

%files libclamav
%defattr(-,root,root)
/usr/lib/sagator/libclamavmodule.so

%changelog
* Thu Sep 18 2003 Jan ONDREJ (SAL) <ondrejj@salstar.sk>
- postfix is not reloaded, when sagator is upgrading

* Tue Jun 10 2003 Jan ONDREJ (SAL) <ondrejj@salstar.sk>
- first release
